Bug 503578 (CVE-2009-1836) - CVE-2009-1836 Firefox SSL tampering via non-200 responses to proxy CONNECT requests
Summary: CVE-2009-1836 Firefox SSL tampering via non-200 responses to proxy CONNECT re...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-1836
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard: impact=moderate,source=mozilla,report...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-06-01 18:58 UTC by Josh Bressers
Modified: 2019-06-08 12:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-21 09:34:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1095 normal SHIPPED_LIVE Critical: firefox security update 2009-06-11 22:45:59 UTC
Red Hat Product Errata RHSA-2009:1126 normal SHIPPED_LIVE Moderate: thunderbird security update 2009-06-25 15:07:24 UTC

Description Josh Bressers 2009-06-01 18:58:03 UTC
Microsoft security researchers Shuo Chen, Ziqing Mao, Yi-Min Wang, and Ming
Zhang reported that when a CONNECT request is sent to a proxy server and a
non-200 response is returned, then the body of the response is incorrectly
rendered within the context of the request Host: header. An active network
attacker could use this vulnerability to intercept a CONNECT request and
reply with a non-200 response containing malicious code which would be
executed within the context of the victim's requested SSL-protected domain.
Since this attack requires the victim to have a proxy configured, the
severity of this issue was determined to be high.

Comment 2 errata-xmlrpc 2009-06-11 22:46:25 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 4

Via RHSA-2009:1095 https://rhn.redhat.com/errata/RHSA-2009-1095.html

Comment 3 Fedora Update System 2009-06-16 02:18:00 UTC
firefox-3.0.11-1.fc10, xulrunner-1.9.0.11-1.fc10, epiphany-2.24.3-7.fc10, epiphany-extensions-2.24.3-2.fc10, blam-1.8.5-11.fc10, devhelp-0.22-9.fc10, galeon-2.0.7-11.fc10, gecko-sharp2-0.13-9.fc10, gnome-python2-extras-2.19.1-31.fc10, gnome-web-photo-0.3-19.fc10, google-gadgets-0.10.5-7.fc10, kazehakase-0.5.6-4.fc10.3, Miro-2.0.3-5.fc10, mozvoikko-0.9.5-11.fc10, mugshot-1.2.2-10.fc10, pcmanx-gtk2-0.3.8-10.fc10, perl-Gtk2-MozEmbed-0.08-6.fc10.2, ruby-gnome2-0.18.1-5.fc10.3, yelp-2.24.0-10.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2009-06-16 02:31:15 UTC
firefox-3.0.11-1.fc9, xulrunner-1.9.0.11-1.fc9, epiphany-2.22.2-12.fc9, epiphany-extensions-2.22.1-12.fc9, blam-1.8.5-10.fc9.1, chmsee-1.0.1-13.fc9, devhelp-0.19.1-13.fc9, evolution-rss-0.1.0-12.fc9, galeon-2.0.7-11.fc9, gnome-python2-extras-2.19.1-28.fc9, gnome-web-photo-0.3-22.fc9, google-gadgets-0.10.5-7.fc9, gtkmozembedmm-1.4.2.cvs20060817-30.fc9, kazehakase-0.5.6-4.fc9.3, Miro-2.0.3-5.fc9, mozvoikko-0.9.5-11.fc9, mugshot-1.2.2-10.fc9, ruby-gnome2-0.17.0-10.fc9, totem-2.23.2-17.fc9, yelp-2.22.1-13.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 errata-xmlrpc 2009-06-25 15:07:47 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1126 https://rhn.redhat.com/errata/RHSA-2009-1126.html

Comment 6 Fedora Update System 2009-07-16 06:56:28 UTC
seamonkey-1.1.17-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2009-07-16 07:10:09 UTC
seamonkey-1.1.17-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.